# Don't provide plugin .so
%global __provides_exclude_from %{_libdir}/xfce4/panel/plugins/.*\\.so

# Fix Copr builds
%{!?_real_vendor:%global _real_vendor mageia}

%define url_ver %(echo %{version} | cut -d. -f1,2)

%define major		4
%define api		1.0
%define libname		%mklibname xfce4panel %{api} %{major}

%define gmajor		2.0
%define girname		%mklibname xfce4panel-gir %{gmajor}

%define gtk3api         2.0
%define gtk3libname	%mklibname xfce4panel %{gtk3api} %{major}

%define devname		%mklibname xfce4panel %{api} -d
%define gtk3devname	%mklibname xfce4panel %{gtk3api} -d

Summary:	A Xfce panel
Name:		xfce4-panel
Version:	4.14.0
Release:	%mkrel 1
License:	GPLv2+
Group:		Graphical desktop/Xfce
URL:		https://www.xfce.org
Source0:	https://archive.xfce.org/src/xfce/xfce4-panel/%{url_ver}/%{name}-%{version}.tar.bz2
# Upstream patches

# Mga patches
Patch500:	0001-Add-fallback-icons-for-action-buttons.patch

BuildRequires:	intltool
BuildRequires:	xfce4-dev-tools
BuildRequires:	pkgconfig(cairo)
BuildRequires:	pkgconfig(exo-2)
BuildRequires:	pkgconfig(garcon-1)
BuildRequires:	pkgconfig(garcon-gtk3-1)
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(gio-unix-2.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gmodule-2.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libwnck-3.0)
BuildRequires:	pkgconfig(libxfce4ui-2)
BuildRequires:	pkgconfig(libxfce4util-1.0)
BuildRequires:	pkgconfig(libxfconf-0) >=  4.13.3
Requires:	desktop-common-data
Requires:	%{_real_vendor}-xfce-config

# obsolete old plugins that don't work with xfce 4.8
Obsoletes:	xfce4-volstatus-icon < 0.1.0-15
Obsoletes:	xfce4-xfapplet-plugin < 0.1.0-15

# integrated since 4.10 to xfce4-panel's action plugin
Obsoletes:	xfswitch-plugin

%description
The Xfce 4 Panel supports multiple panels, with many options
for their position, appearance, transparency and behavior.
There are many items available by default to full fit a panel,
like application launchers with detachable menus, a graphical pager,
a tasklist, a clock, a system tray, a show/hide desktop switcher,
and even more. It offers an easy way to add items using a dialog,
and to move items accross different panels.

%package -n %{libname}
Summary:	Panel library for the Xfce desktop environment
Group:		Graphical desktop/Xfce
Obsoletes:	%{_lib}xfce4panel3 < 4.8.6

%description -n %{libname}
Panel library for the Xfce desktop environment.

%package -n %{girname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Requires:	%{gtk3libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for %{name}.

%package -n %{gtk3libname}
Summary:        Panel library (GTK3 version) for the Xfce desktop environment
Group:          Graphical desktop/Xfce

%description -n %{gtk3libname}
Panel library (GTK3 version) for the Xfce desktop environment.

%package -n %{devname}
Summary:	Libraries and header files for the %{name} library
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Requires:	%{gtk3libname} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Obsoletes:	%{_lib}xfce4panel-devel < 4.12.0-2

%description -n %{devname}
Libraries and header files for the %{name} library.

%package -n %{gtk3devname}
Summary:	Libraries and header files for the %{name} library (GTK3 version)
Group:		Development/Other
Requires:	%{gtk3libname} = %{version}-%{release}
Conflicts:	%{_lib}xfce4panel-devel < 4.12.0-2

%description -n %{gtk3devname}
Libraries and header files for the %{name} (GTK3 version) library.

%prep
%setup -q
%autopatch -p1

%build
%configure2_5x \
	--enable-maintainer-mode \
	--disable-static
%make_build

%install
%make_install

# (tpg) this file is in %{_real_vendor}-xfce-config package
rm -rf %{buildroot}%{_sysconfdir}/xdg/xfce4/panel/*

%find_lang %{name}

# don't ship .la
find %{buildroot} -name "*.la" -delete

%files -f %{name}.lang
%doc README AUTHORS NEWS ChangeLog
%dir %{_sysconfdir}/xdg/xfce4/panel
%dir %{_libdir}/xfce4/panel
%dir %{_libdir}/xfce4/panel/plugins
%dir %{_datadir}/xfce4/panel
%dir %{_datadir}/xfce4/panel/plugins
%{_bindir}/*
%{_libdir}/xfce4/panel/plugins/*
%{_datadir}/xfce4/panel/plugins/*
%{_datadir}/applications/*.desktop
%{_iconsdir}/hicolor/*/apps/xfce4-panel*
%{_libdir}/xfce4/panel/migrate
%{_libdir}/xfce4/panel/wrapper-*

%files -n %{girname}
%{_libdir}/girepository-1.0/libxfce4panel-%{gmajor}.typelib

%files -n %{libname}
%{_libdir}/libxfce4panel-%{api}.so.%{major}{,.*}

%files -n %{gtk3libname}
%{_libdir}/libxfce4panel-%{gtk3api}.so.%{major}{,.*}

%files -n %{devname}
%{_libdir}/libxfce4panel-%{api}.so
%{_libdir}/pkgconfig/libxfce4panel-%{api}.pc
%{_includedir}/xfce4/libxfce4panel-%{api}/

%files -n %{gtk3devname}
%doc %{_datadir}/gtk-doc/html/libxfce4panel-%{gtk3api}/
%{_libdir}/libxfce4panel-%{gtk3api}.so
%{_libdir}/pkgconfig/libxfce4panel-%{gtk3api}.pc
%{_includedir}/xfce4/libxfce4panel-%{gtk3api}/
%{_datadir}/gir-1.0/libxfce4panel-%{gmajor}.gir

